'use strict';
var play;
var title;
var helper;
var bg;
var sponsors;
var definicja;
var definicja_audio;
var definicja_audio2;
var inDefinition;
var definition_text;
Game1.Menu = function() {};
 
  Game1.Menu.prototype = {
   
    create: function() {
        
    inDefinition = 0;    
    definicja_audio = new Audio('./sound/OB_g_I_5_1.mp3');
    definicja_audio2 = new Audio('./sound/OB_g_I_5_1.mp3');     
    this.strona = new Audio("./sound/page.mp3");
        
    this.strona.load();     
      var style = { font: '70px Arial', fill: '#0080ca', align: 'center'};
      bg = this.game.add.sprite(0, 0, 'bg');
        this.boo = this.game.add.sprite(0,0,"book");
        //bg.scale.setTo(1/2,1/2);
        sponsors = this.game.add.sprite(0,458*2,'sponsors');
   
   definicja = this.game.add.sprite(1154,727, 'definicja');
            definicja.inputEnabled =true;
        definicja.name = "definicjaButton";
        definicja.events.onInputOver.add(this.over,this);
        definicja.events.onInputDown.add(this.down, this);
        definicja.events.onInputOut.add(this.out,this);    
   title = this.game.add.sprite(422, 158, 'title');
        //title.scale.setTo(1/2,1/2);
        helper = this.game.add.sprite(1366, 347, 'pomocnik');
       // helper.scale.setTo(1/2,1/2);
    //this.sprite.anchor.setTo(0.5, 0.5);
            
    //var button = new Phaser.Button(this.game,1302,516,'play_button', this.buttonCallback, this, 1,0,2);
      play = this.game.add.sprite(488,630,'play_button');
        play.inputEnabled =true;
        play.name = "play";
        play.events.onInputOver.add(this.over,this);
        play.events.onInputDown.add(this.down, this);
        play.events.onInputOut.add(this.out,this);
  
    play.inputEnabled = true;
    play.animations.add('off',[0], true);
    play.animations.add('on',[1], true);
        
        
    },
      
    showDefinition: function () {
        inDefinition = 1;
        play.inputEnabled = false;
       // definicja.inputEnabled = false;
        definicja_audio.play();
       //this.StopInput();
        this.guiHelp = this.game.add.sprite(1210, 350, 'guiPomocnik_good');
        //this.guiHelp.scale.setTo(0.8,0.8);
        this.guiHelp.fixedToCamera = true;
        this.guiBubble = this.game.add.sprite(95, 96, 'Finish');
        this.guiBubble.scale.setTo(1.3,1.3); 
        this.guiBubble.fixedToCamera = true;
       definition_text = this.game.add.text(200, 330, 'Każdy produkt ma cechy niezbędne, czyli takie,\nbez których nie spełniałby swoich podstawowych funkcji.\nNa przykład piłka musi być okrągła i dobrze się odbijać.\nKażdy produkt ma też cechy dodatkowe,\nktóre mają sprawić, by był on bardziej atrakcyjny,\nnp. takie jak kolor czy wielkość.', {
            font: "36px Arial",
            fill: "#000000",
        });
        definition_text.fixedToCamera = true;
       
    },

    hideDefinition: function () {
       inDefinition = false;
        play.inputEnabled = true;
        definicja.inputEnabled = true;
      //this.ReStartInput();
        this.guiHelp.visible = false;
        this.guiBubble.visible = false;
        definition_text.visible = false;
        //this.lektor.hide();
    },  
 

onInputOver: function(sprite, pointer){
    
},
down: function(sprite, pointer) {
    if (sprite.name == 'play'){
    this.strona.play();
    this.game.state.start('Game');
    }
    else
    {
      this.showDefinition();  
    }
    ////console.log('button down: '+sprite.name);
},      
over: function(sprite, pointer) {
    play.animations.play('on',1,true,false);
    //console.log('button over'+sprite.name);
    if (!this.game.device.desktop)
        this.game.state.start('Game');
},

out: function(sprite, pointer) {
     play.animations.play('off',1,true,false);
    ////console.log('button out'+sprite.name);
},
      update: function() {
          if ((!isPlaying(definicja_audio) || definicja_audio.ended) && inDefinition== 1) {
               // definicja_audio2.play();
               definition_text.setText('Każdy produkt ma cechy niezbędne, czyli takie,\n bez których nie spełniałby swoich podstawowych funkcji.\nNa przykład piłka musi być okrągła i dobrze się odbijać.\nKażdy produkt ma też cechy dodatkowe,\nktóre mają sprawić by był on bardziej atrakcyjny,\nnp. takie jak kolor czy wielkość.');
                this.hideDefinition();
                inDefinition = 2;
            }
    
    },

actionOnClick: function() {
 this.game.state.start('Game');

}
  };